<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="SITE-MAP">
		<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
			<xsl:apply-templates select="COLUMNS-NUMBER"/>
			<xsl:apply-templates select="CONTROL"/>
		</table>
		<div style="width: 0; height: 10px;"><span></span></div>
		<div class="form-separator"><span></span></div>
		<xsl:call-template name="BLOCK-MODULE-BUTTONS"/>
	</xsl:template>

	<xsl:template match="SITE-MAP/COLUMNS-NUMBER">
		<tr>
			<td class="title-block">
				<xsl:call-template name="LABEL" mode="label">
					<xsl:with-param name="title" select="@TITLE"></xsl:with-param>
				</xsl:call-template>
			</td>
			<td class="input-block">
				<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
					<xsl:apply-templates select="NUMBER"/>
				</table>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="SITE-MAP/COLUMNS-NUMBER/NUMBER">
		<tr>
			<td class="input-block">
				<xsl:call-template name="RADIO" mode="control">
					<xsl:with-param name="checked">
						<xsl:if test="@CHECKED = 1">true</xsl:if>
					</xsl:with-param>
					<xsl:with-param name="name" select="../@NAME"/>
					<xsl:with-param name="value" select="@VALUE"/>
				</xsl:call-template>
			</td>
			<td class="title-block">
				<xsl:call-template name="LABEL" mode="label">
					<xsl:with-param name="id" select="@NAME"></xsl:with-param>
					<xsl:with-param name="title" select="."></xsl:with-param>
				</xsl:call-template>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="SITE-MAP/CONTROL">
		<tr>
			<td class="title-block"><xsl:apply-templates select="current()" mode="label"/></td>
			<td class="input-block">
				<xsl:apply-templates select="current()" mode="control"/>
			</td>
		</tr>
	</xsl:template>

</xsl:stylesheet>